import { get, post } from "../common/http";
import base from "../common/base";
//联校接口
const jointSchoolReport = {
    //学生端查询考试列表
    queryStudentExamDataList(data) {
        return get(
            base.prefix + "/api/v1/studentData/queryStudentExamDataList",
            data
        );
    },
    //多科成绩总览-科目标准分分析
    queryMultiSubjectData(data) {
        return post(
            base.prefix + "/api/v1/studentData/queryMultiSubjectData",
            data
        );
    },
    //学生端查询总分，多科历次信息
    queryHistoryExamData(data) {
        return post(
            base.prefix + "/api/v1/studentData/queryHistoryExamData",
            data
        );
    },
    //学生端查询总分，多科总结建议信息
    querySuggestionData(data) {
        return post(
            base.prefix + "/api/v1/studentData/querySuggestionData",
            data
        );
    },
    //学生端查询单科-我的成绩
    queryOneSubjectData(data) {
        return post(
            base.prefix + "/api/v1/studentData/queryOneSubjectData",
            data
        );
    },
    //学生端查询单科-小题分析(表格-图表)
    queryOneSubjectSmallQuestionData(data) {
        return post(
            base.prefix + "/api/v1/studentData/queryOneSubjectSmallQuestionData",
            data
        );
    },
    //学生端查询单科-大题分析，知识点分析，能力要素分析
    queryOneSubjectGroupQuestionData(data) {
        return post(
            base.prefix + "/api/v1/studentData/queryOneSubjectGroupQuestionData",
            data
        );
    },
    //学生端查询单科-自定义分组
    queryOneSubjectCustomGroupQuestion(data) {
        return post(
            base.prefix + "/api/v1/studentData/queryOneSubjectCustomGroupQuestion",
            data
        );
    },
    //学生端查询单科-历次查询
    queryOneSubjectHistoryExamData(data) {
        return post(
            base.prefix + "/api/v1/studentData/queryOneSubjectHistoryExamData",
            data
        );
    },
    //学生端查询单科-总结建议
    queryOneSubjectSuggestionData(data) {
        return post(
            base.prefix + "/api/v1/studentData/queryOneSubjectSuggestionData",
            data
        );
    },
    //查询学生答题卡带批阅痕迹的(单校)
    findStudentCard(data) {
        return get(
            base.prefix + "/api/v1/studentData/findStudentCard",
            data
        );
    },
    //学生端查询单科-知识点分层分析表(联考)
    queryStudentKnowLedgeLayering(data) {
        return post(
            base.prefix + "/api/v1/studentData/queryStudentKnowLedgeLayering",
            data
        );
    },
    //查询学生一生一案数据
    getOneStudentOneCase(data) {
        return get(
            base.prefix + "/api/v1/studentData/getOneStudentOneCase",
            data
        );
    },
    //编辑提交学生一生一案数据
    changeOneStudentOneCase(data) {
        return post(
            base.prefix + "/api/v1/studentData/changeOneStudentOneCase",
            data
        );
    },
};
//单校接口
const schoolReport = {
    //学生端查询考试列表(单校)
    queryStudentExamDataList(data) {
        return get(
            base.prefix + "/api/v1/oneSchoolReport/examOneSchoolDataList",
            data
        );
    },
    //学生端查询总分，多科成绩总览-科目标准分分析(单校)
    queryMultiSubjectData(data) {
        return post(
            base.prefix + "/api/v1/oneSchoolReport/queryOneSchoolMultiSubjectData",
            data
        );
    },
    //学生端查询总分，多科历次信息(单校)
    queryHistoryExamData(data) {
        return post(
            base.prefix + "/api/v1/oneSchoolReport/queryOneSchoolHistoryExamData",
            data
        );
    },
    //学生端查询总分，多科总结建议信息(单校)
    querySuggestionData(data) {
        return post(
            base.prefix + "/api/v1/oneSchoolReport/queryOneSchoolSuggestionData",
            data
        );
    },
    //学生端查询单科-我的成绩(单校)
    queryOneSubjectData(data) {
        return post(
            base.prefix + "/api/v1/oneSchoolReport/queryOneSchoolSubjectData",
            data
        );
    },
    //学生端查询单科-小题分析(表格-图表)(单校)
    queryOneSubjectSmallQuestionData(data) {
        return post(
            base.prefix + "/api/v1/oneSchoolReport/queryOneSchoolSmallQuestionData",
            data
        );
    },
    //学生端查询单科-大题分析，知识点分析，能力要素分析(单校)
    queryOneSubjectGroupQuestionData(data) {
        return post(
            base.prefix + "/api/v1/oneSchoolReport/queryOneSchoolGroupQuestionData",
            data
        );
    },
    //学生端查询单科-自定义分组(单校)
    queryOneSubjectCustomGroupQuestion(data) {
        return post(
            base.prefix + "/api/v1/oneSchoolReport/queryOneSchoolCustomGroupQuestion",
            data
        );
    },
    //学生端查询单科-历次查询(单校)
    queryOneSubjectHistoryExamData(data) {
        return post(
            base.prefix + "/api/v1/oneSchoolReport/queryOneSchoolCourseHistoryExamData",
            data
        );
    },
    //学生端查询单科-总结建议(单校)
    queryOneSubjectSuggestionData(data) {
        return post(
            base.prefix + "/api/v1/oneSchoolReport/queryOneSchoolCourseSuggestionData",
            data
        );
    },
    //查询学生答题卡带批阅痕迹的(单校)
    findStudentCard(data) {
        return get(
            base.prefix + "/api/v1/oneSchoolReport/findStudentCard",
            data
        );
    },
};
// const schoolType = sessionStorage.getItem('schoolType') ?? '1';//1:单校  2:联校
// const report = schoolType=='1'?schoolReport:jointSchoolReport;
// export default { ...report };
export default { schoolReport,jointSchoolReport };
